Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.snapshot
Interface ITurnSnapshot

    public interface ITurnSnapshot

Interface of a battle turn snapshot at a specific time instant in a battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)

Method Summary
`IBulletSnapshot[]` | `getBullets()` Returns a list of snapshots for the bullets that are currently on the battlefield.
`IScoreSnapshot[]` | `getIndexedTeamScores()` Returns a list of indexed scores grouped by teams, i.e. unordered.
`IRobotSnapshot[]` | `getRobots()` Returns a list of snapshots for the robots participating in the battle.
`int` | `getRound()` Returns the current round of the battle.
`IScoreSnapshot[]` | `getSortedTeamScores()` Returns a list of sorted scores grouped by teams, ordered by position.
`int` | `getTPS()` Returns the current TPS (turns per second).
`int` | `getTurn()` Returns the current turn in the battle round.

Method Detail

### getRobots

    IRobotSnapshot[] getRobots()

  Returns a list of snapshots for the robots participating in the battle.

  Returns:
    a list of snapshots for the robots participating in the battle.

### getBullets

    IBulletSnapshot[] getBullets()

  Returns a list of snapshots for the bullets that are currently on the battlefield.

  Returns:
    a list of snapshots for the bullets that are currently on the battlefield.

### getTPS

    int getTPS()

  Returns the current TPS (turns per second).

  Returns:
    the current TPS (turns per second).

### getRound

    int getRound()

  Returns the current round of the battle.

  Returns:
    the current round of the battle.

### getTurn

    int getTurn()

  Returns the current turn in the battle round.

  Returns:
    the current turn in the battle round.

### getSortedTeamScores

    IScoreSnapshot[] getSortedTeamScores()

  Returns a list of sorted scores grouped by teams, ordered by position.

  Returns:
    a list of sorted scores grouped by teams, ordered by position.

### getIndexedTeamScores

    IScoreSnapshot[] getIndexedTeamScores()

  Returns a list of indexed scores grouped by teams, i.e. unordered.

  Returns:
    a list of indexed scores grouped by teams, i.e. unordered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.